<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart" class="fuenteMini">

        <h:form id="idFormCMMyT">
            <style>
                .jpanel{

                    border: 1px solid #d4ccb0;
                    background-color: #ece8da;
                    border-radius: 10px;
                }

                .jpanel thead tr th{

                    background-color: #459e00;
                    color: #fff;
                    border: 1px solid #327e04;
                    border-radius: 10px 10px 0 0 !important;
                }

                .jpanel tbody tr td{

                    background-color: #f5f3e5;
                    font-weight: bolder;
                }

                .jpanel tbody tr:last-child td:first-child{

                    border-radius: 0 0 0 10px;
                }

                .jpanel tbody tr:last-child td:last-child{

                    border-radius: 0 0 10px 0;
                }
            </style>
            
            <h:outputText 
                value="Nómina -> Viáticos" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
 <h:outputText value="Carga de viáticos" />
           <br/><br/>

           <div align="center">
                <p:fileUpload 
                    
                    mode="advanced"
                    auto="true"
                    id="idArchivo"
                    class="upload"
                    style="width: 50%; margin-top: 10px; margin-bottom: 10px;"
                    fileUploadListener="#{rhNomnViaticosMB.handleFileUpload}"
                    label="Seleccionar Archivo"
                    update="@form"
                    invalidFileMessage="El archivo no es valido"
                    process="@this"
                    allowTypes="/(\.|\/)(xls|xlsx)$/"

                />
                </div>

            <br/>
            
            
            <!-- M E N S A J E   D E   E R R O R -->
            <h:panelGrid id="pnlMsjErr" columns="1" cellpadding="5" columnClasses="centered7" style="font-size: 100%;width: 80%;padding-left: 150px" rendered="#{rhNomnViaticosMB.flagShowInpTxtArea}">
                <p >Errores en estructura del archivo:</p>
                <p:inputTextarea disabled="true" value="#{rhNomnViaticosMB.strMsjErrCampos}"  cols="129" rows="11" />
            </h:panelGrid>
            
            
            <!-- D E T A L L E   C A R G A  E X C E L -->
            
            <h:panelGrid columns="1" cellpadding="5" columnClasses="centered7">
                <p:dataTable 
                    rendered="#{rhNomnViaticosMB.flagShowTbl}"
                   id="tblAceptados" 
                    var="var" 
                    paginator="true" 
                    onExpandStart="inicio()" 
                    value  = "#{rhNomnViaticosMB.lstAceptados}"
                    style="font-size: small"
                    scrollable="true" scrollWidth="99%"
                    currentPageReportTemplate="#{msg['inai.medios.common.registroText']} 
                    {startRecord}-{endRecord}  #{msg['inai.medios.common.deText']} 
                    {totalRecords}             #{msg['inai.medios.common.disponiblesText']}"
                    paginatorPosition="bottom" rows="20"
                    emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                >

                <f:facet name="header">
                        <h:outputText styleClass="header-table" value="Registros leídos" />
                </f:facet>
          
                <p:column 
                    filterBy="#{var.intNumEmpleado}"                   
                    filterMatchMode="contains"
                    
                    headerText="Número de Empleado" style="font-size: 70%; ">
                    <h:outputText  id="idNE" value="#{var.intNumEmpleado}" />
                </p:column>
                    
                
                <p:column 
                    filterBy="#{var.intUnidadAdmin}"                   
                    filterMatchMode="contains"
                    
                    headerText="Unidad Administrativa" style="font-size: 70%; ">
                    <h:outputText  id="idUA" value="#{var.intUnidadAdmin}" />
                </p:column>
                
                <p:column 
                    filterBy="#{var.dblImporte}"                   
                    filterMatchMode="contains"
                    
                    headerText="Importe" style="font-size: 70%; ">
                    <h:outputText  id="idImp" value="#{var.dblImporte}" />
                </p:column>
                    
                <p:column 
                    filterBy="#{var.strDesc}"                   
                    filterMatchMode="contains"
                    
                    headerText="Descripición" style="font-size: 70%; ">
                    <h:outputText  id="idDesc" value="#{var.strDesc}" />
                </p:column>
                    
                    
                <p:column 
                    filterBy="#{var.strMesCFDI}"                   
                    filterMatchMode="contains"
                    
                    headerText="Mes" style="font-size: 70%; ">
                    <h:outputText  id="idMes" value="#{var.strMesCFDI}" />
                </p:column>
                    
                <p:column 
                    filterBy="#{var.strConcepto}"                   
                    filterMatchMode="contains"
                    
                    headerText="Concepto" style="font-size: 70%; ">
                    <h:outputText  id="idConc" value="#{var.strConcepto}" />
                </p:column>                                   

            </p:dataTable>
            </h:panelGrid>
            <h:panelGroup rendered="#{rhNomnViaticosMB.flagShowTbl}">
            <div align="right" >
                    <p:commandButton id="detalleAcept"                            
                            value="Procesar Validados"
                            style="font-size: 70%"
                            >
                        <p:ajax listener="#{rhNomnViaticosMB.procesaAceptados()}" 
                               process="@this" immediate="true" update="@(form) "   />

                   </p:commandButton>
                     <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                    <p:commandButton 
                    id="btnRegresar" 
                    process="@form"
                    value="Regresar" 
                    style="font-size: 70%"
                    title="Regresar"                     
                    actionListener="#{rhNomnViaticosMB.regresar}">
                </p:commandButton>                                                           
                </div>
            </h:panelGroup>

        </h:form>



    </ui:define>
</ui:composition>